/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
// NLS_CHARSET=UTF-8

(function(){
dojo.provide("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.BusinessProcessDiagramEditor");
dojo.require("dijit._Templated");
dojo.require("com.ibm.rdm.web.rrcx.common.PluginEditor");

dojo.require("jazz.ui.Toolbar"); 
dojo.require("jazz.ui.MegaMenu");
dojo.require("jazz.ui.toolbar.Button"); 
dojo.require("jazz.ui.toolbar.MenuButton"); 
dojo.require("jazz.ui.toolbar.Separator"); 

dojo.require("com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem");
dojo.require("com.ibm.rdm.web.rrcx.common.widgets.MenuItemTitle");

dojo.requireLocalization("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram", "BusinessProcessDiagramEditor");

/**
   This is the object that the extension providers have to implement
 */
dojo.declare("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.BusinessProcessDiagramEditor", 
	[com.ibm.rdm.web.rrcx.common.PluginEditor, dijit._Templated], 
{ 
	isB2B : false,
	widgetsInTemplate:true,
	templatePath : dojo.moduleUrl("com.ibm.rdm.web.rrcx", "artifact/businessProcessDiagram/templates/BusinessProcessDiagramEditor.html"),
	_messages: dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram", "BusinessProcessDiagramEditor"),
	_imagePath: "com.ibm.rdm.web.rrcx/artifact/businessProcessDiagram/icons/editor/",
	
	/* since we are using styles to hide and show the appropriate items
	 * the following will allow us to have dupliate items, with the correct
	 * items having correct ids.
	 */
	B2B_ONLY : "",
	SIMPLE_ONLY : "",
	
	postCreate : function(){
		this.inherited(arguments);
		
		if (this.isB2B) 
			dojo.addClass(this.domNode, "BPE-B2B");
		else
			dojo.addClass(this.domNode, "BPE-SIMPLE");
	},
	
	postMixInProperties : function(){
		this.inherited(arguments);
		
		if (this.isB2B) 
			this.SIMPLE_ONLY = "XXXXXX";
		else 
			this.B2B_ONLY = "XXXXXX";
	},
	
	/**
	 * get a list of the items.
	 * this is un-ordered!
	 */	
	getPluginItems : function (){
		return [
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddSelectionToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessSelectionTool"
		},
		{ 	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddMarqueeToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.infra.ui.tools.RubberbandSelectionTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddConnectorToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationConnectionCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddZoomToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.infra.ui.tools.ZoomTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddZoomOutToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.ui.diagram.util.BackwardsZoomTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddGridToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.ui.tools.GridTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddNoteToToolBar",
			factory: "com.ibm.rdm.ba.ui.diagram.util.NotationDnDCreationFactory",
			tool: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessPaletteFactory.TextAnnotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddGroupAnnotationToToolBar",
			factory: "com.ibm.rdm.ba.ui.diagram.util.NotationDnDCreationFactory",
			tool: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessPaletteFactory.GroupCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddLaneToToolBar",
			factory: "com.ibm.rdm.ba.ui.diagram.util.NotationDnDCreationFactory",
			tool: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessPaletteFactory.LaneCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddDataObjectToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddSubProcessToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddTaskToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddStartEventToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddIntermediateReceiveEventToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddIntermediateSendEventToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddEndEventToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddDecisionPointExclusiveToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddDecisionPointInclusiveToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddForkJoinToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddMessageToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.process.ui.diagram.actions.AddPoolToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		}];
	}
});
}());