/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

(function(){
dojo.provide("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.BusinessProcessDiagramHandler");

dojo.require("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.ContextMenuDefinition");
dojo.require("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.BusinessProcessDiagramEditor");  
dojo.require("com.ibm.rdm.web.rrcx.artifact.RRCXArtifactHandler");

/**  
   This is the object that the extension providers have to implement
 */
dojo.declare("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.BusinessProcessDiagramHandler", com.ibm.rdm.web.rrcx.artifact.RRCXArtifactHandler, {
	
	_diagramTypesURIs: {
		flow: "artifact/businessProcessDiagram/data/SimpleBusinessProcessDiagramTemplate",
		business: "artifact/businessProcessDiagram/data/B2BBusinessProcessDiagramTemplate"
	},
	
    _initializeResource: function(resourceObject, options){
		
		var self = this;
		var formatType = resourceObject.artifactFormat;
		var simpleFlow = formatType.indexOf("SimpleFlowDiagram") != -1;
		var templateToUse =	simpleFlow ? "flow": "business";
		var numIds = simpleFlow ? 2 : 4;
    	var blankSketch = dojo.xhrGet({
    		
    		url: dojo.moduleUrl("com.ibm.rdm.web.rrcx", this._diagramTypesURIs[templateToUse]) ,
    		sync: true,
    		handleAs: "text",			
    		load: function(response, ioArgs) { 
				var text = response;
				text = dojo.string.substitute(text, self._generateUuids(numIds));
				resourceObject.setContent(text);
			}
		});
    },
    
    instantiateResource : function(params)
    {
    	
    		var resourceObject  = this.inherited(arguments);
    		resourceObject._idAttribute = resourceObject._idAttribute.concat( ["bpmn20:id", "base:id"]);
    		return resourceObject;
    },

	createEditor : function (args){
		args = args || {};
		args["isB2B"] = this._isB2B();
		return new com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.BusinessProcessDiagramEditor(args);
	},

    getContextMenuContributions: function(){
    	var menu = new com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.ContextMenuDefinition();
		return menu.getItems();
    },

	_isB2B : function(){
		return this.resourceViewerWidget.getResourceObject().getContent().search("bpmn20:collaboration")>0;
	}
});
}());