/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

(function() {
	
dojo.provide("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.ContextMenuDefinition"); 

dojo.require("dojo.i18n");
dojo.requireLocalization("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram", "ContextMenuDefinition");

var CONTEXT_MENU_CATEGORY = "ContextMenu";
var Editor_Id = "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID";
var icons_folder = "com.ibm.rdm.web.rrcx/artifact/businessProcessDiagram/icons/contextMenu/";
	

dojo.declare("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram.ContextMenuDefinition", null,
    {
		_messages: dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.artifact.businessProcessDiagram", "ContextMenuDefinition"),
		
		constructor: function(params){
	
		},
		
		getItems: function(){
	      var items = [		
			  {
				  category: this._messages.Category_Edit,				  
				  operations:	
				  [
//		        	{ 
//						type: CONTEXT_MENU_CATEGORY , 
//						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
//						id: "org.eclipse.gef.direct_edit",
//						factory: "",
//						tool: "",
//						label: this._messages.Edit_Text_Label,
//						tooltip: "",
//						image: ""
//					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "undo",
						factory: "",
						tool: "",
						label: this._messages.Undo_Label,
						tooltip: "",
						image: ""
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "redo",
						factory: "",
						tool: "",
						label: this._messages.Redo_Label,
						tooltip: "",
						image: ""
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "sid.bringToFront",
						factory: "",
						tool: "",
						label: this._messages.Bring_To_Front_Label,
						tooltip: "",
						image: icons_folder + "bring_to_front.png"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "sid.sendToBack",
						factory: "",
						tool: "",
						label: this._messages.Send_To_Back_Label,
						tooltip: "",
						image: icons_folder + "send_to_back.png"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "sid.bringForward",
						factory: "",
						tool: "",
						label: this._messages.Bring_Forward_Label,
						tooltip: "",
						image: icons_folder + "bring_forward.png"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "sid.sendBackward",
						factory: "",
						tool: "",
						label: this._messages.Send_Backward_Label,
						tooltip: "",
						image: icons_folder + "send_backward.png"
					}
			   	  ]
			  },
			  
			  {
				  category: this._messages.Category_Group_Copy,
				  separatorAbove: true, 
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY ,
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "cut",
						factory: "",
						tool: "",
						label: this._messages.Cut_Label,
						tooltip: this._messages.Cut_Tooltip,
						image: icons_folder + "cut.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "copy",
						factory: "",
						tool: "",
						label: this._messages.Copy_Label,
						tooltip: this._messages.Copy_Tooltip,
						image: icons_folder + "copy.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "paste",
						factory: "",
						tool: "",
						label: this._messages.Paste_Label,
						tooltip: this._messages.Paste_Tooltip,
						image: icons_folder + "paste.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "delete",
						factory: "",
						tool: "",
						label: this._messages.Delete_Label,
						tooltip: "",
						image: icons_folder + "delete.gif"
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Label,
				  separatorAbove: true,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "com.ibm.rdm.ba.client.ui.showhide",
						factory: "",
						tool: "",
						label: this._messages.Show_Hide_Label,
						tooltip: "",
						image: ""
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Group_Save,
					separatorAbove: true,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "com.ibm.rdm.ba.ui.properties",
						factory: "",
						tool: "",
						label: this._messages.Properties_Label,
						tooltip: "",
						image: icons_folder + "properties.gif"
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Group_View,
				  separatorAbove: true,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.rdm.ba.process.ui.diagram.part.ProcessDiagramEditorID",
						id: "selectAll",
						factory: "",
						tool: "",
						label: this._messages.Select_All_Label,
						tooltip: "",
						image: ""
					}
				  ]			  
			  }
			  
	      ];
	      
	      return items;
		}
    
});
}());