/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

(function() {
	
dojo.provide("com.ibm.rdm.web.rrcx.artifact.part.ContextMenuDefinition"); 

dojo.require("dojo.i18n");
dojo.requireLocalization("com.ibm.rdm.web.rrcx.artifact.part", "ContextMenuDefinition");

var CONTEXT_MENU_CATEGORY = "ContextMenu";
var Editor_Id = "com.ibm.sid.SketchEditor";
var icons_folder = "com.ibm.rdm.web.rrcx/artifact/sketch/icons/contextMenu/";
	

dojo.declare("com.ibm.rdm.web.rrcx.artifact.part.ContextMenuDefinition", null,
    {
		_messages: dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.artifact.part", "ContextMenuDefinition"),
		
		constructor: function(params){
	
		},
		
		getItems: function(){
	      var items = [		
			  {
				  category: this._messages.Category_Group_Edit,				  
				  operations:	
				  [
//				    { 
//						type: CONTEXT_MENU_CATEGORY , 
//						editor: "com.ibm.sid.SketchEditor",
//						id: "org.eclipse.gef.direct_edit",
//						factory: "",
//						tool: "",
//						label: this._messages.Edit_Text_Label,
//						tooltip: "",
//						image: ""
//					},
				   	{ 
				   		type: CONTEXT_MENU_CATEGORY , 
				   		editor: "com.ibm.sid.SketchEditor",
				   		id: "undo",
				   		factory: "",
				   		tool: "",
				   		label: this._messages.Undo_Label,
				   		tooltip: "",
				   		image: ""
				   	},
				   	{ 
				   		type: CONTEXT_MENU_CATEGORY , 
				   		editor: "com.ibm.sid.SketchEditor",
				   		id: "redo",
				   		factory: "",
				   		tool: "",
				   		label: this._messages.Redo_Label,
				   		tooltip: "",
				   		image: ""
					}
				  ]
			  },
			  {
				  category: this._messages.Category_Group_Modify,
				  separatorAbove: true,
				  operations:	
				  [
//		        	{ 
//						type: CONTEXT_MENU_CATEGORY ,
//						separatorAbove: true,
//						editor: "com.ibm.sid.SketchEditor",
//						id: "com.ibm.sid.refactor.component",
//						factory: "",
//						tool: "",
//						label: this._messages.Refactor_Extract_Component_Label,
//						tooltip: "",
//						image: ""
//					},
					{ 
						type: CONTEXT_MENU_CATEGORY,
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.toggleSelected",
						factory: "",
						tool: "",
						label: this._messages.Toggle_Selected_Label,
						tooltip: "",
						image: ""
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.toggleDisabled",
						factory: "",
						tool: "",
						label: this._messages.Toggle_Disabled_Label,
						tooltip: "",
						image: ""
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.toggleExpanded",
						factory: "",
						tool: "",
						label: this._messages.Toggle_Expanded_Label,
						tooltip: "",
						image: ""
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.widget.indent",
						factory: "",
						tool: "",
						label: this._messages.Indent_Widget_Label,
						tooltip: this._messages.Indent_Widget_Tooltip,
						image: icons_folder + "indent.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.widget.outdent",
						factory: "",
						tool: "",
						label: this._messages.Outdent_Widget_Label,
						tooltip: this._messages.Outdent_Widget_Tooltip,
						image: icons_folder + "outdent.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.item.indent",
						factory: "",
						tool: "",
						label: this._messages.Indent_Item_Label,
						tooltip: this._messages.Indent_Item_Tooltip,
						image: icons_folder + "indent.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.item.outdent",
						factory: "",
						tool: "",
						label: this._messages.Outdent_Item_Label,
						tooltip: this._messages.Outdent_Item_Tooltip,
						image: icons_folder + "outdent.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.column.creation",
						factory: "",
						tool: "",
						label: this._messages.Column_Creation_Label,
						tooltip: this._messages.Column_Creation_Tooltip,
						image: icons_folder + "column_pal16.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.item.creation",
						factory: "",
						tool: "",
						label: this._messages.Item_Creation_Label,
						tooltip: this._messages.Item_Creation_Tooltip,
						image: icons_folder + "item_pal16.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "com.ibm.sid.description",
						factory: "",
						tool: "",
						label: this._messages.Edit_Description_Label,
						tooltip: this._messages.Edit_Description_Tooltip,
						image: icons_folder + "edit_description.png"
					},
					{ 
				 		type: CONTEXT_MENU_CATEGORY , 
				 		editor: "com.ibm.sid.SketchEditor",
				 		id: "sid.bringToFront",
				 		factory: "",
				 		tool: "",
				 		label: this._messages.Bring_To_Front_Label,
				 		tooltip: "",
				 		image: icons_folder + "bring_to_front.png"
				 	},
				 	{ 
				 		type: CONTEXT_MENU_CATEGORY , 
				 		editor: "com.ibm.sid.SketchEditor",
				 		id: "sid.sendToBack",
				 		factory: "",
				 		tool: "",
				 		label: this._messages.Send_To_Back_Label,
				 		tooltip: "",
				 		image: icons_folder + "send_to_back.png"
				 	},
				 	{ 
				 		type: CONTEXT_MENU_CATEGORY , 
				 		editor: "com.ibm.sid.SketchEditor",
				 		id: "sid.bringForward",
				 		factory: "",
				 		tool: "",
				 		label: this._messages.Bring_Forward_Label,
				 		tooltip: "",
				 		image: icons_folder + "bring_forward.png"
				 	},
				 	{ 
				 		type: CONTEXT_MENU_CATEGORY , 
				 		editor: "com.ibm.sid.SketchEditor",
				 		id: "sid.sendBackward",
				 		factory: "",
				 		tool: "",
				 		label: this._messages.Send_Backward_Label,
				 		tooltip: "",
				 		image: icons_folder + "send_backward.png"
				 	}
			   	  ]
			  },
			 
			  {
				  category: this._messages.Category_Group_Open,
				  separatorAbove: true,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.image.select",
						factory: "",
						tool: "",
						label: this._messages.Select_Image_Label,
						tooltip: "",
						image: ""
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "sid.image.open",
						factory: "",
						tool: "",
						label: this._messages.Open_Image_Label,
						tooltip: "",
						image: ""
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Cursor_Type,
		          separatorAbove: true,
				  isShown: true,
				  groupName: this._messages.SketchContextMenuProvider_Cursor_Type,
				  operations: 
		          [
		            { 
		            	type: CONTEXT_MENU_CATEGORY , 
		            	editor: "com.ibm.sid.SketchEditor",
		            	id: "sid.cursor.arrow",
		            	factory: "",
		            	tool: "",
		            	label: this._messages.Cursor_Arrow_Label,
		            	tooltip: "",
		            	image: ""
		            },
		            { 
		            	type: CONTEXT_MENU_CATEGORY , 
		            	editor: "com.ibm.sid.SketchEditor",
		            	id: "sid.cursor.hand",
		            	factory: "",
		            	tool: "",
		            	label: this._messages.Cursor_Hand_Label,
		            	tooltip: "",
		            	image: ""
		            },
		            { 
		            	type: CONTEXT_MENU_CATEGORY , 
		            	editor: "com.ibm.sid.SketchEditor",
		            	id: "sid.cursor.ibeam",
		            	factory: "",
		            	tool: "",
		            	label: this._messages.Cursor_Ibeam_Label,
		            	tooltip: "",
		            	image: ""
		            },
		            { 
		            	type: CONTEXT_MENU_CATEGORY , 
		            	editor: "com.ibm.sid.SketchEditor",
		            	id: "sid.cursor.wait",
		            	factory: "",
		            	tool: "",
		            	label: this._messages.Cursor_Wait_Label,
		            	tooltip: "",
		            	image: ""
		            },
		            { 
		            	type: CONTEXT_MENU_CATEGORY , 
		            	editor: "com.ibm.sid.SketchEditor",
		            	id: "sid.cursor.no",
		            	factory: "",
		            	tool: "",
		            	label: this._messages.Cursor_No_Label,
		            	tooltip: "",
		            	image: ""
		            },
		            { 
		            	type: CONTEXT_MENU_CATEGORY , 
		            	editor: "com.ibm.sid.SketchEditor",
		            	id: "sid.cursor.move",
		            	factory: "",
		            	tool: "",
		            	label: this._messages.Cursor_Move_Label,
		            	tooltip: "",
		            	image: ""
		            },
		            { 
		            	type: CONTEXT_MENU_CATEGORY , 
		            	editor: "com.ibm.sid.SketchEditor",
		            	id: "sid.cursor.resize.horizontal",
		            	factory: "",
		            	tool: "",
		            	label: this._messages.Cursor_Resize_Horizontal_Label,
		            	tooltip: "",
		            	image: ""
		            },
		            { 
		            	type: CONTEXT_MENU_CATEGORY , 
		            	editor: "com.ibm.sid.SketchEditor",
		            	id: "sid.cursor.resize.vertical",
		            	factory: "",
		            	tool: "",
		            	label: this._messages.Cursor_Resize_Vertical_Label,
		            	tooltip: "",
		            	image: ""
		            }
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Group_Copy,
				  separatorAbove: true,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "cut",
						factory: "",
						tool: "",
						label: this._messages.Cut_Label,
						tooltip: this._messages.Cut_Tooltip,
						image: icons_folder + "cut.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "copy",
						factory: "",
						tool: "",
						label: this._messages.Copy_Label,
						tooltip: this._messages.Copy_Tooltip,
						image: icons_folder + "copy.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "paste",
						factory: "",
						tool: "",
						label: this._messages.Paste_Label,
						tooltip: this._messages.Paste_Tooltip,
						image: icons_folder + "paste.gif"
					},
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "delete",
						factory: "",
						tool: "",
						label: this._messages.Delete_Label,
						tooltip: "",
						image: icons_folder + "delete.gif"
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Group_Save,
				  separatorAbove: true,
				  operations: 
		          [
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "properties",
						factory: "",
						tool: "",
						label: this._messages.Properties_Label,
						tooltip: "",
						image: icons_folder + "properties.gif"
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Group_View,
				  separatorAbove: true,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: "com.ibm.sid.SketchEditor",
						id: "selectAll",
						factory: "",
						tool: "",
						label: this._messages.Select_All_Label,
						tooltip: "",
						image: ""
					}
				  ]			  
			  }
	      ];
	      
	      return items;
		}
    
});
}());