/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

(function() {
	
dojo.provide("com.ibm.rdm.web.rrcx.artifact.screenFlow.ContextMenuDefinition"); 

dojo.require("dojo.i18n");
dojo.requireLocalization("com.ibm.rdm.web.rrcx.artifact.screenFlow", "ContextMenuDefinition");

var CONTEXT_MENU_CATEGORY = "ContextMenu";
var editorId = "com.ibm.sid.ScreenFlowEditor";
var icons_folder = "com.ibm.rdm.web.rrcx/artifact/screenFlow/icons/contextMenu/";
	

dojo.declare("com.ibm.rdm.web.rrcx.artifact.screenFlow.ContextMenuDefinition", null,
    {
		_messages: dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.artifact.screenFlow", "ContextMenuDefinition"),
		
		constructor: function(params){
	
		},
		
		getItems: function(){
	      var items = [		
			  {
				  category: this._messages.Category_Group_Edit,				  
				  operations:	
				  [
				   	{ 
				   		type: CONTEXT_MENU_CATEGORY , 
				   		editor: editorId,
				   		id: "undo",
				   		factory: "",
				   		tool: "",
				   		label: this._messages.Undo_Label,
				   		tooltip: "",
				   		image: ""
				   	},
				   	{ 
				   		type: CONTEXT_MENU_CATEGORY , 
				   		editor: editorId,
				   		id: "redo",
				   		factory: "",
				   		tool: "",
				   		label: this._messages.Redo_Label,
				   		tooltip: "",
				   		image: ""
					}
				  ]
			  },
			 
			  {
				  category: this._messages.Category_Group_Open,
				  separatorAbove: true,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: editorId,
						id: "com.ibm.sid.open",
						factory: "",
						tool: "",
						label: this._messages.Open_Resource_Label,
						tooltip: "",
						image: ""
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Associate,
				  separatorAbove: true,
				  isShown: true,
				  groupName: this._messages.Category_Associate,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: editorId,
						id: "com.ibm.sid.screenflow.fileForThumbnail",
						factory: "",
						tool: "",
						label: this._messages.File_For_Thumb_Label,
						tooltip: "",
						image: ""
					},
					
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: editorId,
						id: "com.ibm.sid.screenflow.createSketchForThumbnail",
						factory: "",
						tool: "",
						label: this._messages.Sketch_For_Thumb_Label,
						tooltip: "",
						image: ""
					},
					
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: editorId,
						id: "com.ibm.sid.screenflow.createScreenFlowForThumbnail",
						factory: "",
						tool: "",
						label: this._messages.ScreenFlow_For_Thumb_Label,
						tooltip: "",
						image: ""
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Remove_Association,
				  separatorAbove: true,
				  operations: 
		          [
					{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: editorId,
						id: "com.ibm.sid.removeAssociation",
						factory: "",
						tool: "",
						label: this._messages.Remove_Association_Label,
						tooltip: "",
						image: ""
					}
				  ]			  
			  },
			  
			  {
				  category: this._messages.Category_Group_Copy,
				  separatorAbove: true,
				  operations: 
		          [
		           	{ 
		           		type: CONTEXT_MENU_CATEGORY , 
		           		editor: "com.ibm.sid.SketchEditor",
		           		id: "org.eclipse.gef.direct_edit",
		           		factory: "",
		           		tool: "",
		           		label: this._messages.Edit_Text_Label,
		           		tooltip: "",
		           		image: ""
		           	},
		           	
		           	{
						type: CONTEXT_MENU_CATEGORY , 
						editor: editorId,
						id: "delete",
						factory: "",
						tool: "",
						label: this._messages.Delete_Label,
						tooltip: "",
						image: icons_folder + "delete.gif"
					}
				  ]			  
			  },
			  
//			  {
//				  category: this._messages.Category_Group_Modify,
//				  separatorAbove: true,
//				  operations:	
//				  [
//					{ 
//						type: CONTEXT_MENU_CATEGORY , 
//						editor: editorId,
//						id: "com.ibm.sid.description",
//						factory: "",
//						tool: "",
//						label: this._messages.Edit_Description_Label,
//						tooltip: this._messages.Edit_Description_Tooltip,
//						image: icons_folder + "edit_description.png"
//					}
//			   	  ]
//			  },
			  
//			  {
//				  category: this._messages.Category_Group_Save,
//				  separatorAbove: true,
//				  operations: 
//		          [
//					{ 
//						type: CONTEXT_MENU_CATEGORY , 
//						editor: editorId,
//						id: "properties",
//						factory: "",
//						tool: "",
//						label: this._messages.Properties_Label,
//						tooltip: "",
//						image: icons_folder + "properties.gif"
//					}
//				  ]			  
//			  },
			  
			  {
				  category: this._messages.Category_Group_View,
				  separatorAbove: true,
				  operations: 
		          [
		        	{ 
						type: CONTEXT_MENU_CATEGORY , 
						editor: editorId,
						id: "selectAll",
						factory: "",
						tool: "",
						label: this._messages.Select_All_Label,
						tooltip: "",
						image: ""
					}
				  ]			  
			  }
	      ];
	      
	      return items;
		}
    
});
}());