/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
// NLS_CHARSET=UTF-8

(function(){
dojo.provide("com.ibm.rdm.web.rrcx.artifact.screenFlow.ScreenFlowEditor");
dojo.require("dijit._Templated");
dojo.require("com.ibm.rdm.web.rrcx.common.PluginEditor");

dojo.require("jazz.ui.Toolbar"); 
dojo.require("jazz.ui.MegaMenu"); 
dojo.require("jazz.ui.toolbar.Button");
dojo.require("jazz.ui.toolbar.Separator");
dojo.require("jazz.ui.toolbar.MenuButton"); 
dojo.require("com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem");
dojo.require("com.ibm.rdm.web.rrcx.common.widgets.MenuItemTitle");

dojo.require("dojo.i18n");
dojo.requireLocalization("com.ibm.rdm.web.rrcx.artifact.screenFlow", "ScreenFlowEditor");
 
/**
   This is the object that the extension providers have to implement
 */
dojo.declare("com.ibm.rdm.web.rrcx.artifact.screenFlow.ScreenFlowEditor", 
	[com.ibm.rdm.web.rrcx.common.PluginEditor, dijit._Templated], 
{ 
	widgetsInTemplate:true,
	templatePath : dojo.moduleUrl("com.ibm.rdm.web.rrcx", "artifact/screenFlow/templates/ScreenFlowEditor.html"),
	_messages: dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.artifact.screenFlow", "ScreenFlowEditor"),
	_imagePath: "com.ibm.rdm.web.rrcx/artifact/screenFlow/icons/editor/",
	
	/**
	 * get a list of the items.
	 * this is un-ordered!
	 */	
	getPluginItems : function (){
		return [   	
		{	id: "com.ibm.sid.ui.sketch.actions.AddSelectionToToolBar",
			factory: "",
			tool: "com.ibm.sid.ui.tools.ExSelectionTool"
		},
		{	id: "com.ibm.sid.ui.screenflow.actions.addConnectorToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.sid.ui.screenflow.palette.TransitionConnectionCreationTool"
	  	},
	  	{	id: "com.ibm.sid.ui.screenflow.actions.addGenericElementToToolBar",
	        factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
	        tool: "com.ibm.sid.ui.tools.SketchingCreationTool"
	  	},
		{	id: "com.ibm.sid.ui.screenflow.actions.addSketchToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.sid.ui.tools.PromptedCreationTool"
		},
		{	id: "com.ibm.sid.ui.screenflow.actions.addScreenFlowToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.sid.ui.tools.PromptedCreationTool"
		}];
	}
});
}());