/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

(function(){
dojo.provide("com.ibm.rdm.web.rrcx.artifact.screenFlow.ScreenFlowHandler");

dojo.require("com.ibm.rdm.web.rrcx.artifact.RRCXArtifactHandler"); 
dojo.require("com.ibm.rdm.web.rrcx.artifact.screenFlow.ContextMenuDefinition");
dojo.require("com.ibm.rdm.web.rrcx.artifact.screenFlow.ScreenFlowEditor");

/**
   This is the object that the extension providers have to implement
 */
dojo.declare("com.ibm.rdm.web.rrcx.artifact.screenFlow.ScreenFlowHandler", com.ibm.rdm.web.rrcx.artifact.RRCXArtifactHandler, {
	
    _initializeResource: function(resourceObject){
		
		var self = this;
		var blankScreenFlow = dojo.xhrGet({
		
			url: dojo.moduleUrl("com.ibm.rdm.web.rrcx", "artifact/screenFlow/data/ScreenFlow") ,
			sync: true,
			handleAs: "text",			
			load: function(response, ioArgs) { 
				var text = response;
				text = dojo.string.substitute(text, self._generateUuids(1));
				resourceObject.setContent(text);
			}
		});
    },
    
    instantiateResource : function(params)
    {
    	
    		var resourceObject  = this.inherited(arguments);
    		resourceObject._idAttribute = resourceObject._idAttribute.concat( ["key"]);
    		return resourceObject;
    },
    
	createEditor : function (args){
		return new com.ibm.rdm.web.rrcx.artifact.screenFlow.ScreenFlowEditor(args);
	},

    getContextMenuContributions: function(){
    	var menu = new com.ibm.rdm.web.rrcx.artifact.screenFlow.ContextMenuDefinition();
    	
		return menu.getItems();
    },
    
    doResourceSpecificLoad: function(resourceObj){
    	this.resourceViewerWidget._loadUIActivities(this.resourceViewerWidget._contentPane.domNode);
    }
});
}());