/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

(function(){
dojo.provide("com.ibm.rdm.web.rrcx.artifact.sketch.SketchHandler");

dojo.require("com.ibm.rdm.web.rrcx.artifact.RRCXArtifactHandler"); 
dojo.require("com.ibm.rdm.web.rrcx.artifact.sketch.ContextMenuDefinition");
dojo.require("com.ibm.rdm.web.rrcx.artifact.sketch.SketchEditor");

/**
   This is the object that the extension providers have to implement
 */
dojo.declare("com.ibm.rdm.web.rrcx.artifact.sketch.SketchHandler", com.ibm.rdm.web.rrcx.artifact.RRCXArtifactHandler, {
	
    _initializeResource: function(resourceObject){
		
		var self = this;
    	var blankSketch = dojo.xhrGet({
			
			url: dojo.moduleUrl("com.ibm.rdm.web.rrcx", "artifact/sketch/data/SimpleSketch") ,
			sync: true,
			handleAs: "text",			
			load: function(response, ioArgs) { 
				var text = response;
				text = dojo.string.substitute(text, self._generateUuids(1));
				resourceObject.setContent(text);
			}
		});
    },
    
    instantiateResource : function(params)
    {
    	
    		var resourceObject  = this.inherited(arguments);
    		resourceObject._idAttribute = resourceObject._idAttribute.concat( ["key"]);
    		return resourceObject;
    },
    
    getContextMenuContributions: function(){

    	var menu = new com.ibm.rdm.web.rrcx.artifact.sketch.ContextMenuDefinition();
    	
		return menu.getItems();
    },
    
    doUpdateRemoveMasterAction: function(enabled, editor) {
    	if (enabled) {
    		// Show Remove Master action
    		editor.showRemoveMaster();
    	} else {
    		// Hide Remove Master action
    		editor.hideRemoveMaster();
    	}
    },
    
	createEditor : function (args){
		return new com.ibm.rdm.web.rrcx.artifact.sketch.SketchEditor(args);
	}
});
}());