/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
// NLS_CHARSET=UTF-8

(function(){
dojo.provide("com.ibm.rdm.web.rrcx.artifact.story.StoryboardEditor");

dojo.require("com.ibm.rdm.web.rrcx.artifact.sketch.SketchEditor");

dojo.require("jazz.ui.toolbar.MenuButton"); 
dojo.require("jazz.ui.MegaMenu");
dojo.require("com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem");
dojo.require("jazz.ui.toolbar.Button");

dojo.require("dojo.i18n");
dojo.requireLocalization("com.ibm.rdm.web.rrcx.artifact.story", "StoryboardEditor");


/**
 * part editor is identical to sketch editor.
 * this is a place holder
 */
dojo.declare("com.ibm.rdm.web.rrcx.artifact.story.StoryboardEditor", 
	[com.ibm.rdm.web.rrcx.artifact.sketch.SketchEditor], 
{ 
	_storyMessages: dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.artifact.story", "StoryboardEditor"),
	_storyImagePath: "com.ibm.rdm.web.rrcx/artifact/story/icons/editor/",
	
	_frameNavigation: null,
	
	showFrameNavigation : function() {
		if (this._frameNavigation)
			this._frameNavigation._setVisibleAttr(true);
	},
	
	hideFrameNavigation : function() {
		if (this._frameNavigation)
			this._frameNavigation._setVisibleAttr(false);
	},

	postCreate : function() {
		this.inherited(arguments);

		/** 
		 * Story board is the same as sketch and part 
		 * with the addition of the frame meu
		 */
		if (this._paletteToolbar){
			var megaMenu = new jazz.ui.MegaMenu();
			
			var self = this;
			
			megaMenu.addChild(new com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem({
				icon:  this._storyImagePath + "sb-frame-empty.gif",
				label: this._storyMessages.EmptyFrame_Label,
				title: this._storyMessages.EmptyFrame_Tooltip,
				onClick : function () {self.pluginHandle.invokeEditorAction("com.ibm.sid.add_frame");}	
			}));

			megaMenu.addChild(new com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem({
				icon:  this._storyImagePath + "sb-frame-duplicate.gif",
				label: this._storyMessages.DuplicateFrame_Label,
				title: this._storyMessages.DuplicateFrame_Tooltip,	
				onClick : function () {self.pluginHandle.invokeEditorAction("com.ibm.sid.duplicate");}	
			}));
			
			megaMenu.addChild(new com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem({
				icon:  this._storyImagePath + "frame-to-sketch.gif",
				label: this._storyMessages.SaveFrame_Label,
				title: this._storyMessages.SaveFrame_Tooltip,	
				onClick : function () {self.pluginHandle.invokeEditorAction("com.ibm.sid.refactor.sketch");}	
			}));
			
			megaMenu.addChild(new com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem({
				icon:  this._storyImagePath + "delete.gif",
				label: this._storyMessages.DeleteFrame_Label,
				title: this._storyMessages.DeleteFrame_Tooltip,	
				onClick : function () {self.pluginHandle.invokeEditorAction("com.ibm.sid.delete_frame");}
			}));
			
			var menuButton = new jazz.ui.toolbar.MenuButton({
				imgSrc : this._storyImagePath + "sb-pal-group-frame.png",
				label : this._storyMessages.Category_Frames_Label,
				title : this._storyMessages.Category_Frames_Tooltip,
				menuProvider : function () {return megaMenu;}
			});

			this._paletteToolbar.addChild(menuButton, 0);
			
			dojo.forEach(megaMenu._items, function(item) {
				self._toDestroy.push(item);
			});
			this._toDestroy.push(megaMenu);
			this._toDestroy.push(menuButton);
		}
		
		/** 
		 * Add navigation between frames and framelist.
		 */
		if (this._firstRowToolbar){
			
			var self = this;

			this._frameNavigation = new jazz.ui.toolbar.Button({
				title: this._storyMessages.goToFrameList_Tooltip,
				label: this._storyMessages.goToFrameList_Label,
				enabled: true,
				onClick: dojo.hitch(this, function(event) {
					dojo.stopEvent(event);
					self.pluginHandle.invokeEditorAction("com.ibm.sid.goHomePage");
				})
			});
			this._firstRowToolbar.addChild(this._frameNavigation);
			this.hideFrameNavigation();
			this._toDestroy.push(this._frameNavigation);
		}
	}
});
}());