/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
// NLS_CHARSET=UTF-8

(function(){
dojo.provide("com.ibm.rdm.web.rrcx.artifact.usecaseDiagram.UseCaseDiagramEditor");
dojo.require("dijit._Templated");
dojo.require("com.ibm.rdm.web.rrcx.common.PluginEditor");

dojo.require("jazz.ui.Toolbar"); 
dojo.require("jazz.ui.MegaMenu"); 
dojo.require("jazz.ui.toolbar.Button");
dojo.require("jazz.ui.toolbar.Separator");
dojo.require("jazz.ui.toolbar.MenuButton"); 
dojo.require("com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem");
dojo.require("com.ibm.rdm.web.rrcx.common.widgets.MenuItemTitle");


dojo.requireLocalization("com.ibm.rdm.web.rrcx.artifact.usecaseDiagram", "UseCaseDiagramEditor");

/**
   This is the object that the extension providers have to implement
 */
dojo.declare("com.ibm.rdm.web.rrcx.artifact.usecaseDiagram.UseCaseDiagramEditor", 
	[com.ibm.rdm.web.rrcx.common.PluginEditor, dijit._Templated], 
{ 
	widgetsInTemplate:true,
	templatePath : dojo.moduleUrl("com.ibm.rdm.web.rrcx", "artifact/usecaseDiagram/templates/UseCaseDiagramEditor.html"),
	_messages: dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.artifact.usecaseDiagram", "UseCaseDiagramEditor"),
	_imagePath: "com.ibm.rdm.web.rrcx/artifact/usecaseDiagram/icons/editor/",
	

	/**
	 * get a list of the items.
	 * this is un-ordered!
	 */	
	getPluginItems : function (){
		return [		
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddSelectionToToolBar",
			factory: "",
			tool: "com.ibm.sid.ui.tools.ExSelectionTool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddMarqueeToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.infra.ui.tools.RubberbandSelectionTool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddConnectorToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationConnectionCreationTool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddZoomToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.infra.ui.tools.ZoomTool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddZoomOutToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.ui.diagram.util.BackwardsZoomTool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddGridToToolBar",
			factory: "",
			tool: "com.ibm.rdm.ba.ui.tools.GridTool"
	  	},
       	{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddNoteToToolBar",
			factory: "com.ibm.rdm.ba.ui.diagram.util.NotationDnDCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NoteCreationNool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddTextToToolBar",
			factory: "com.ibm.rdm.ba.ui.diagram.util.NotationDnDCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.TextCreationNool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddSystemBoundaryToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.ui.diagram.util.NotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddActorToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.usecase.ui.util.SharedElementNotationCreationTool"
		},
		{	id: "com.ibm.rdm.ba.usecase.ui.actions.AddUseCaseToToolBar",
			factory: "com.ibm.rdm.ui.gef.palette.EMFCreationFactory",
			tool: "com.ibm.rdm.ba.usecase.ui.util.SharedElementNotationCreationTool"
		}];
	}
});
}());