/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

(function(){
dojo.provide("com.ibm.rdm.web.rrcx.artifact.usecaseDiagram.UseCaseDiagramHandler");
dojo.require("com.ibm.rdm.web.rrcx.artifact.RRCXArtifactHandler");
dojo.require("com.ibm.rdm.web.rrcx.artifact.usecaseDiagram.ContextMenuDefinition");
dojo.require("com.ibm.rdm.web.rrcx.artifact.usecaseDiagram.UseCaseDiagramEditor");

/**
   This is the object that the extension providers have to implement
 */
dojo.declare("com.ibm.rdm.web.rrcx.artifact.usecaseDiagram.UseCaseDiagramHandler", com.ibm.rdm.web.rrcx.artifact.RRCXArtifactHandler, {

    _initializeResource: function(resourceObject){
		
    		var blankSketch = dojo.xhrGet({
			
			url: dojo.moduleUrl("com.ibm.rdm.web.rrcx", "artifact/usecaseDiagram/data/UsecaseDiagramTemplate") ,
			sync: true,
			handleAs: "text",			
			load: function(response, ioArgs) { 

				var text = response;
				resourceObject.setContent(text);
			}
		});
    },
    
    instantiateResource : function(params)
    {
    	
    		var resourceObject  = this.inherited(arguments);
    		resourceObject._idAttribute = resourceObject._idAttribute.concat( ["base:id"]);
    		return resourceObject;
    },
    
    getContextMenuContributions: function(){

    	var menu = new com.ibm.rdm.web.rrcx.artifact.usecaseDiagram.ContextMenuDefinition();
    	
		return menu.getItems();
    },
	
	createEditor : function (args){
		return new com.ibm.rdm.web.rrcx.artifact.usecaseDiagram.UseCaseDiagramEditor(args);
	}
	
});
}());