/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
(function() {
dojo.provide("com.ibm.rdm.web.rrcx.common.Stylebar");

dojo.require("dijit._Templated");
dojo.require("dijit._Widget"); 
dojo.require("jazz.ui.toolbar.Button");
dojo.require("jazz.ui.toolbar.TwoStateButton");
dojo.require("jazz.ui.toolbar.MenuButton");
dojo.require("dijit.form.ComboBox");
dojo.require("dijit.ColorPalette");
dojo.require("com.ibm.rdm.web.rrcx.common.widgets.ColorPalette");
	
dojo.require("dojo.i18n");
dojo.requireLocalization("com.ibm.rdm.web.rrcx.common", "Stylebar");

dojo.declare("com.ibm.rdm.web.rrcx.common.Stylebar", [dijit._Widget, dijit._Templated], {
	templatePath: dojo.moduleUrl("com.ibm.rdm.web.rrcx", "common/templates/Stylebar.html"),
	widgetsInTemplate:true, 
	pluginHandle : null,
	
	_messages : dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.common", "Stylebar"),
	_imagePath : "com.ibm.rdm.web.rrcx/common/icons/style/",

	setFonts : function (names, sizes){
		this._setFontNames(names);
		this._setFontSizes(sizes);
	},
	update: function(items){
		dojo.forEach(items, function(item){
			var widget = dijit.byId(this.id+item.id);
			if (!widget) {
				console.log("Stylebar widget not found:"+item.id);
				return;
			}
			if (widget._setValueAttr && (widget.value != item.value)){
				widget.programmaticChange = true;
				widget._setValueAttr(item.value);
			}
			widget._setPressedAttr && widget._setPressedAttr(item.checked);
			widget._setEnabledAttr && widget._setEnabledAttr(item.enabled);
			
			/*
			 * its not clear what we are being sent but it is 
			 * not obvious how to convert this to the corret color
			 * 
			 * TODO make the color update work
			 * 
			switch(item.id){
				case "ibm.rdm.style.background":
				case "ibm.rdm.style.lineColor" :
				case "ibm.rdm.style.fontBrush":
					item.value&&widget.setColor&&widget.setColor(item.value);
					break;
			}*/
		}, this);
	},
	_setFontNames: function(names){
		if (!this._fontName) return;
		this._fontName.store =  new dojo.data.ItemFileReadStore({
            data: {
	            identifier: 'name',
	            label: 'name',
	            items:  names.items }});
		this._fontName.programmaticChange = true;
		this._fontName.attr("value", names.items[0].name);
	},
	_setFontSizes: function(sizes){
		if (!this._fontSize) return;
		this._fontSize.store =  new dojo.data.ItemFileReadStore({
            data: {
	            identifier: 'size',
	            label: 'size',
	            items: sizes.items }
        });
		this._fontSize.programmaticChange = true;
		this._fontSize.attr("value", sizes.items[0].size);
	},
	_fontNameChange : function (name){
		/**
		 * changing the combobox programatically causes an event. 
		 * So we have to ignore it.
		 */
		if (this._fontName.programmaticChange)
			this._fontName.programmaticChange=false;
		else
			this.pluginHandle&&this.pluginHandle.handleToolbarEvent("ibm.rdm.style.fontName", name);
	},
	_fontSizeChange : function (size){
		/**
		 * changing the combobox programatically causes an event. 
		 * So we have to ignore it.
		 */
		if (this._fontSize.programmaticChange)
			this._fontSize.programmaticChange=false;
		else
			this.pluginHandle&&this.pluginHandle.handleToolbarEvent( "ibm.rdm.style.fontSize", size);
	},
	_lineColorChange : function(color){
		this.pluginHandle&&this.pluginHandle.handleToolbarEvent("ibm.rdm.style.lineColor", dojo.colorFromHex(color).toRgb());
	},
	_backgroundColorChange : function(color){
		this.pluginHandle&&this.pluginHandle.handleToolbarEvent("ibm.rdm.style.background", dojo.colorFromHex(color).toRgb());
	},
	_fontColorChange : function(color){
		this.pluginHandle&&this.pluginHandle.handleToolbarEvent("ibm.rdm.style.fontBrush", dojo.colorFromHex(color).toRgb());
	},
	_twoStateClick : function (event){
		if (!this.pluginHandle) return;
		
		var widget=dijit.getEnclosingWidget(event.currentTarget);
		if (widget&&widget.id.indexOf(this.id)==0){
			var actionId = widget.id.substr(this.id.length);
			this.pluginHandle.handleToolbarEvent(actionId, widget.attr("pressed"));
		}
	}
});

}());