/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// ==============================================================================
// MESSAGE IDS - CRRRW 8000 - 8999 - PLEASE MAINTAIN THE MESSAGES IN ORDER.
//
// This file is used both for display on the client, and for export to
// online documentation (infocenter).
//
// For each message there is a set of related message strings.
//
// DO NOT REMOVE MESSAGE ENTRIES FROM THIS FILE.  IF A MESSAGE IS NO
// LONGER VALID IT MAY BE COMMENTED OUT, BUT MUST NOT BE REMOVED.
//
// DO NOT RE-ASSIGN UNUSED ERROR NUMBERS TO NEW MESSAGE SCENARIOS.
//
// IF YOU REUSE AN EXISTING MESSAGE, ENSURE THAT THE ALL THE RELATED
// MESSAGE STRINGS ARE APPROPRIATE TO YOUR ERROR/WARNING/INFO SCENARIO.
// IF YOU CHANGE THE TEXT, MAKE SURE THAT IT IS APPROPRIATE TO ALL
// SCENARIOS THAT USE THE MESSAGE SET.
//
// Towards the bottom of the file, blocks of message numbers are allocated
// to areas of the code.  When adding a new message, add it into one of these
// blocks if possible.  If a block fills, allocate a new block at the bottom and
// comment appropriately to indicate that it is a continuation. 
//
// Each message must have a number of the form CRRRW####$ where:
//		CRRRW is the prefix for this product.
//		#### is a four digit number unique to the message.
//		$ is one of the letters E (Error), W (Warning), I (Information).
//
// For each message there is a set of related strings:
//		<MSGNO>
//				A short message which may have substitution parameters.
//				Parameters should be strings that are suitable for display
//				to users (folder name is OK, paragraph ID is probably not OK).
//				Must start with an error number in the form given above, so
//				that the message is recognised for DITA conversion and exported
//				to infocenter.
//
//		<MSGNO>.explanation
//				A longer string with more explanation of the cause.
//
//		<MSGNO>.useraction
//				An indication of what the user can/should do as a result.
//
//		<MSGNO>.showuseraction
//				If set to exactly "Y", the useraction is appended to the explanation
//				for display.  This is used to indicate that the useraction really
//				is useful to users so we want to show it to them.  This value does not
//				have any effect on the generated infocenter content.
//
// ==============================================================================
// NLS_CHARSET=UTF-8

({

	"8000":				"CRRRW8000E Unexpected exception sending a message to the editor.",
	"8000.explanation": "An unexpected exception occurred while sending a message to the editor.",
	"8000.useraction":	"Check the error logs for details.",
	"8001": 			"CRRRW8001I Browser restart required after install completes",
	"8001.explanation": "Once the Browser Add-On has installed, you must restart your browser before you can edit this artifact.",
	"8001.useraction":	"Restart your browser",
	"8002":				"CRRRW8002E The plug-in could not be installed.",
	"8002.explanation": "Information required for the installation was not retrieved from the server.",
	"8002.useraction":	"Verify that your network settings are correct, and try to install the plug-in again.",
	
	// Converter Application messages
	
	"8010":				"CRRRW8010E The requested content could not be generated.",
	"8010.explanation": "A server error prevented the generation of the content.",
	"8010.useraction":	"Refresh your browser to generate the content again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	"8010.showuseraction": "Y", // $NON-NLS-1$

	"8011":				"CRRRW8011E The requested content could not be generated.",
	"8011.explanation": "A server error was received while generating the content. The converter application that is required to complete the request cannot be reached",
	"8011.useraction":	"Refresh your browser to generate the content again.  If the problem persists, " +
						"there might be an issue with the converter application configuration.  Ask your administrator to check the configuration.",
	"8011.showuseraction": "Y", // $NON-NLS-1$

	"8012":				"CRRRW8012E The requested content cannot be generated.",
	"8012.explanation": "A converter application is required to generate the requested content. A converter application is not installed on a supported platform",
	"8012.useraction":	"Ask your administrator to check the configuration of the converter application.",
	"8012.showuseraction": "Y", // $NON-NLS-1$

})
