/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
dojo.provide("com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem");

dojo.require("dijit.Menu");

(function() {

function moduleResource(/*string*/ modulePath) {
	if (typeof(modulePath) != "string") 
		return modulePath;
	
	// if it's an absolute path, or we don't find a '/', return.
	var slash = modulePath.indexOf("/");
	if (slash <= 0) 
		return modulePath;
	
	// if we don't see a "." in the module path then we don't believe its a module
	var module = modulePath.substr(0, slash);
	if (module.indexOf(".") < 0 || !dojo.exists(module)) 
		return modulePath;
	
	return dojo.moduleUrl(module, modulePath.substr(slash+1, modulePath.length));
}


/*
 * A menu item that uses an image tag instead of a background css image in order
 * to support images that come from other servers.
 */
dojo.declare("com.ibm.rdm.web.rrcx.common.widgets.ImgMenuItem", dijit.MenuItem, {
	templateString: "<tr class=\"rrcx-widgets-imgMenuItem dijitReset dijitMenuItem\" dojoAttachPoint=\"focusNode\" waiRole=\"menuitem\" tabIndex=\"-1\"\n\t\tdojoAttachEvent=\"onmouseenter:_onHover,onmouseleave:_onUnhover,ondijitclick:_onClick\">\n\t<td class=\"dijitReset dijitMenuItemLabel\" dojoattachpoint=\"_td\" colspan=\"3\"><span class=\"imgMenuContent\" dojoattachpoint=\"_wrapper\"><img src=\"${_blankGif}\" alt=\"\" class=\"dijitMenuItemIcon ${iconClass}\" dojoAttachPoint=\"iconNode\"><span dojoAttachPoint=\"containerNode\"></span></span></td>\n\t<td class=\"dijitReset dijitMenuItemAccelKey\" style=\"display: none\" dojoAttachPoint=\"accelKeyNode\"></td>\n\t<td class=\"dijitReset dijitMenuArrowCell\" waiRole=\"presentation\">\n\t\t<div dojoAttachPoint=\"arrowWrapper\" style=\"visibility: hidden\">\n\t\t\t<img src=\"${_blankGif}\" alt=\"\" class=\"dijitMenuExpand\">\n\t\t\t<span class=\"dijitMenuExpandA11y\">+</span>\n\t\t</div>\n\t</td>\n</tr>\n",
	icon: "",
	iconClass: "",
	href: "",
	postCreate: function() {
		this.inherited(arguments);
		this.focusNode.style.cursor="pointer";
		if (this.href) {
			var a = dojo.create("a", {"class": "itemHref", tabIndex: "-1", href: this.href});
			dojo.place(this._wrapper, a);
			dojo.place(a, this._td);
		}
	},
	_setIconAttr: function(icon) {
		this.icon = moduleResource(icon);
		this.iconNode.src = this.icon;
	},
	_onClick: function(evt){
		var parent = this.getParent();
		if (this.href) {
			if (evt.type == "keyup" || (evt.target && evt.target.parentNode == this.domNode)) {
				var PlatformUI = dojo.getObject("net.jazz.ajax.ui.PlatformUI");
				if (!PlatformUI || !PlatformUI.getWorkbench().shouldVetoNavigation(this.href)) {
					location.href = this.href;
				}
				parent.onItemClick(this, evt);
			} else {
				setTimeout(dojo.hitch(parent, parent.onItemClick, this, evt), 0);	
			}
		} else {
			parent.onItemClick(this, evt);
			dojo.stopEvent(evt);
		}
	}
});

})();