/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
(function() {
dojo.provide("com.ibm.rdm.web.rrcx.common.widgets.PluginContentPane");

dojo.require("dijit._Templated");
dojo.require("dijit._Widget");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.layout.BorderContainer");
dojo.require("dojo.i18n");
dojo.require("com.ibm.rdm.web.ext.ExtensionConstants");
dojo.requireLocalization("com.ibm.rdm.web.rrcx.common.widgets", "PluginContentPane");

var PLUGIN_ID = "plugin";
var ExtensionConstants = com.ibm.rdm.web.ext.ExtensionConstants;
var template = dojo.isIE?
				"<object id='${id}' type='${type}' codeBase='${codebase}' classid='${clsid}' wmode='transparent'>" +
					"<param name='wmode' value='transparent'/></object>"
			   :"<object id='${id}' type='${type}' wmode='transparent'>" +
					"<param name='wmode' value='transparent'/></object>";

template = dojo.string.substitute(template, {
	id : PLUGIN_ID,
	clsid: ExtensionConstants.PLUGIN_CLS_ID,
	type: ExtensionConstants.PLUGIN_MIME_TYPE,
	wmode: "transparent",
	codebase: com.ibm.rdm.web.pages.WebUIinitializer.getDataServerRoot() + ExtensionConstants.PLUGIN_CODEBASE
});

dojo.declare(
	"com.ibm.rdm.web.rrcx.common.widgets.PluginContentPane",
	[dijit._Widget, dijit._Templated],
{
	templatePath: null,
	widgetsInTemplate: true,
	templateString: null,
	
	// summary:
	//		This class is used to present the content of extended artifacts'
	
	///////////////////////////////////////////////////////////////////////////
	// Public fields
	containerNode: null,
	
	///////////////////////////////////////////////////////////////////////////
	// Private fields
	_messages: null,
	
	///////////////////////////////////////////////////////////////////////////
	// Attach points
	_pluginContentArea: null,
	_plugindiv: null,
	templatePath: dojo.moduleUrl("com.ibm.rdm.web.rrcx", "common/widgets/templates/PluginContentPane.html"),
	_messages: dojo.i18n.getLocalization("com.ibm.rdm.web.rrcx.common.widgets", "PluginContentPane"),
	
	postCreate: function() {
		this._pluginContentArea.scroll = 'no';
		this._plugindiv.innerHTML=template;
	},
	handleEditorLoaded: function() {
		dojo.style(this.domNode,{
				'backgroundColor' : '#F2F2F2',
				'cursor' : 'pointer'
			 });
	},
	show: function(show) {
		if (typeof show  == "undefined") show=true;

		dojo.toggleClass(this.domNode, "visiblePlugin", show);
	},

	getPlugin: function()
    {	
        return dojo.byId(PLUGIN_ID);
    },

	destroy: function() {
		this._pluginContentArea.destroyRecursive(false);
		dojo.destroy(this.domNode);
		this.inherited(arguments);
	}
});
})();